Subject: bug#43876: Emacs uses excessive memory

From: Eli Zaretskii <[email-masked]>
Date: Mon, 25 Jan 2021 06:45:03 +0200

On January 25, 2021 5:53:30 AM GMT+02:00, Naveed Chehrazi <[email-masked]> wrote:
> Hey, I just experienced another instance of the bug. I just sent you
> the
> output of M-x report-emacs-bug.
> 
> Here is the requested information that was in the buffer generated by
> M-x
> report-emacs-bug. I experience the same problem on my ubuntu machine.
> 
> In GNU Emacs 27.1 (build 1, x86_64-apple-darwin18.7.0, Carbon Version
> 158
> AppKit 1671.6)
>  of 2020-11-21 built on Traviss-Mac.local
> Repository revision: 2003451b61ad44108eedae74fc34b4d7b47d5756
> Repository branch: HEAD
> Windowing system distributor 'Apple Inc.', version 10.15.7

 Can you try the latest emacs-27 branch of the Emacs Git repository?  We recently fixed a bad bug there which would prevent GC from happening under some circumstances, and that indeed could cause the memory footprint grow a lot.